Subject: Re: eth0 autonegotation 8260

From: [email-masked]
Date: Thu, 30 Jun 2005 11:11:38 -0300

> First of all sorry if this answer has been answered before, I have looked into the archives and did not find the answer.
> 
> We are using a 8260 processor with ELDK 3.1.1,  kernel 2.4.25 patched with lck1. We have configured the kernel with USE_MDIO and LXT971.
> The problem we face is that the boot process stops after displaying the configuration of the card:
> eth0: config: autonegotiation on, 100FDX,...
> and after the board seems to freeze.
> 
> Following the code, I located the error in the startup command of the LXT971, concretely in the line setting the autonegotiation:
> {mk_mii_write(MII_REG_CR, 0x1200), NULL}, /* autonegotiate */ 
I have the same here but it doesn't freezes, it just doesn't works :).
(maybe it "freezes" because next step depends on the eth like RARP?)
I digged into LXT971 datasheet and 0x1200 appears to be correct. I was thinking
in add an module option to manually set it (and thus avoiding the need to use
ethtool). Any MII guru around to help us on this?

--
Aristeu